<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::SceneNode Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#7b75761a5809556b3bf9c5d707d68655">_addBoundingBoxToQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#e12f7409930e2c7ae1fb33c39f71d0ea">_autoTrack</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#188e6ca9a8f9a28f4d2128ca6ebfd2bb">_findVisibleObjects</a>(Camera *cam, RenderQueue *queue, VisibleObjectsBoundsInfo *visibleBounds, bool includeChildren=true, bool displayNodes=false, bool onlyShadowCasters=false)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#7cc7b0d580cddfdff16cffd52b7e2bc7">_getDerivedOrientation</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#ad2fc6f9ec75b32ee1034ee2498aeed8">_getDerivedPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#985d7cf4f1737d401bc93d47b0763c52">_getDerivedScale</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#58997cd5600d78e6579bba77f2bc8fa7">_getFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#14d6924f09bacdad14e6f73b315b9d32">_getWorldAABB</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#f0481ea7c8fb0c5e8a9422dc7ecb60a8">_notifyRootNode</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#2f49db955276c7740eb98695119927a7">_update</a>(bool updateChildren, bool parentHasChanged)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#82a14f326bf38f516d8db82a687c987c">_updateBounds</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#42f520f7ba1c57e10130b81ed444affe">_updateCustomGpuParameter</a>(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#b163ff6e5b5aab4430490cbb6ca5452f">_updateFromParent</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d3d47c3e2b3fa5deab934b93666c7f3d">addChild</a>(Node *child)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#51052c58747a77a6cf7451b700e7eb87">attachObject</a>(MovableObject *obj)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d7b0459138f43f090fce21e05520b66c">cancelUpdate</a>(Node *child)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#89264ee7507c7f820e57408de1fcc561">ChildNodeIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d926e6275c4c0ebe1e28eda5826c2945">ChildNodeMap</a> typedef</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#a96946534e7c7a780b2912c1ea90d3ef">ChildUpdateSet</a> typedef</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#6e1f37403c498444d14137aa82de1573">ConstChildNodeIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#87b7fca094d8a66c3a2651916197d052">ConstObjectIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#8baeb7e192fc802f6bf846d3a69dfc19">createChild</a>(const Vector3 &amp;translate=Vector3::ZERO, const Quaternion &amp;rotate=Quaternion::IDENTITY)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#5595d0f506945c66795322b1878e16aa">createChild</a>(const String &amp;name, const Vector3 &amp;translate=Vector3::ZERO, const Quaternion &amp;rotate=Quaternion::IDENTITY)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#696d7c1df8bcabc6a2a3fd2ba3d3ef48">createChildImpl</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#16f45dabc21376b6d91b221cc1c8b906">createChildImpl</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#eaee9cb1cb0c23fab2cc9bab08f51181">createChildSceneNode</a>(const Vector3 &amp;translate=Vector3::ZERO, const Quaternion &amp;rotate=Quaternion::IDENTITY)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#559442664e8b83cb40ca1d2c68c5d01c">createChildSceneNode</a>(const String &amp;name, const Vector3 &amp;translate=Vector3::ZERO, const Quaternion &amp;rotate=Quaternion::IDENTITY)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">CustomParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#064b81e279b10a488ba018d1ac87abb5">detachAllObjects</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#4d0832b90b91afe9fd4154e12c8481a1">detachObject</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#bc4846642c14ab6e3ca1a4f6296b859a">detachObject</a>(MovableObject *obj)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#f52d04c1d2aa341f7e02daeb7355372b">detachObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#f51824296b6c910c716ede33710ec6f5">findLights</a>(LightList &amp;destList, Real radius) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#b2f5e0c7aba434f6636329e25593eb33">flipVisibility</a>(bool cascade=true)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#f011d009a2b6d3dfa498721d18a58473">getAttachedObject</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#f890d36d827ac01b125c10c8d2b7c8b3">getAttachedObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#5f4304385f766666fddfd98c8f59aa48">getAttachedObjectIterator</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#c171d8535352e644ad4ce667ba23d21b">getAttachedObjectIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#1c7da5149270d58781185d6c94c90cf3">getAutoTrackLocalDirection</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#3bfbb62bc1e7879e3ed8efab74ff1449">getAutoTrackOffset</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#9f25ff62bc7c5f3573872d1937edd35b">getAutoTrackTarget</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#1ce8341c18f75ef0b6d818eceea5b2e2">getCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#359dd7aae149ada623f2621954a28879">getChild</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#ff4e184f6376029564986998f1d8cb40">getChild</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d8236bbe5857e6e8683b35989a43d774">getChildIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#ce7e53eeb6326e82a0ad8bda139acb94">getChildIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#1c122c0686168dac942700942bd9f8fc">getClipPlanes</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#e17ea5739bf85c988cb21d0df298976f">getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#ae6a3960b67d52e67e58fac8303b0d0e">getInheritOrientation</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#55768fe7e128388e62792548511b00a6">getInheritScale</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#83079d6848417455feb56be215439f6b">getInitialOrientation</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#1ce1fd23cb72e521701ea577025a975e">getInitialPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d5604b424c3587333a823d6b71644808">getInitialScale</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#56c841f90361b8ee5f8bb742f2b9f979">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#bfe7b8c3bd9e9afadaeff3544906ade0">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c2c7cc17b873de63998689b0e2ddbd68">getLocalAxes</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#7cf1b3e73f7a1633427273cbc11cd7a1">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#3bca2aaf4e01a1447a4aaf4e03a79c18">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#9dda967b054609898953bea98ea502b8">getNormaliseNormals</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#b6ecba3943f56182cddf3b3540afc760">getNumWorldTransforms</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#5a5840ed5f758d7e3425e0661e4d697b">getOrientation</a>() const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#671ade6094f62d64322c222315b9076a">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#454706e093c4ac83b2bb79a66c3c6bfb">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#b39c7a80773f87fca7a2a714760eaca3">getPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#5892cd4da554377ab88ac1105b6da7fc">getRenderOperation</a>(RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#808d57cbb45f340a04342e661d569305">getScale</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#a073a1b260c539af222cf0006d25801b">getShowBoundingBox</a>() const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#5d334dabd3874852ffe3fdd7cbb75bc8">getSquaredViewDepth</a>(const Camera *cam) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#afcc80b06f8c74eaac3d35e72ca54842">getTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#fcf40d0aeb3914e8835f1b751c775d1b">getWorldOrientation</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#394911fc8d3558688c6a420ff2c9ec2a">getWorldPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#12c40b89947f40d3e4270aaa5cbd6a1f">getWorldTransforms</a>(Matrix4 *xform) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#4e8a3cc40a8b7cac0ea3dd761e51beca">isInSceneGraph</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#4a6e34aab331802bc836668e78a08508">lookAt</a>(const Vector3 &amp;targetPoint, TransformSpace relativeTo, const Vector3 &amp;localDirectionVector=Vector3::NEGATIVE_UNIT_Z)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#3718047a30a7575e283604ae27bdc31b">mAutoTrackLocalDirection</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#79a962278ebfd05a0371659f0915650e">mAutoTrackOffset</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#d5ab7b1d824dc3be02e1f116d0801b40">mAutoTrackTarget</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#88c50934c653fd86447cc81da0998e81">mCachedTransform</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#beb1d94ee7b8cd7a612a30b510ccee6d">mCachedTransformOutOfDate</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d508313713b823331eca7a3f6a4fd002">mChildren</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#54aa00f1ca77a93516bc2d1b08b30648">mChildrenToUpdate</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#3ed43b1903a0255a82ee41571b3ac108">mCreator</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#7d7d9e45beb547ba72ce33f0274c1167">mDerivedOrientation</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#7fc19ff96fcb001d6e9981f439bb0eed">mDerivedPosition</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#2e5ca471f5154645a596cd230ea94af2">mDerivedScale</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d85766c2f287598bb1059e84ce73e7bb">mInheritOrientation</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#b10376524767e0b8a9e86964956f0b40">mInheritScale</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#88590f5a049463362c0d2cec07bdca39">mInitialOrientation</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#a23946bc6edd30b225a2f04170f04c89">mInitialPosition</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#3f7a0ccee23accbece0017bec7dcd1ad">mInitialScale</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#bde5946531210225faafcf92b7eb4660">mIsInSceneGraph</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#4cff3c3bdbe9243a4fd8d928c93365d0">mListener</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#6580e36ab5bbec5d074efe6bfe0dcd79">mName</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#4d4eff00d6dbea91264b52046cc367b5">mNeedChildUpdate</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#e964b315ed79aef118b71b4c3b6466cd">mNeedParentUpdate</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#92ed6ce65738128bee3cfcbb9074dab7">mObjectsByName</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#2c40bc581d9ebbbf7e2d056c2bc8ffde">mOrientation</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#24d11a360b70ac6f37e4287bfbc223f7">mParent</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#b270a19a8d2466230f5906883534d1b0">mParentNotified</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#f402952dfefe74cda5b71581b96a461e">mpMaterial</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#9ef4388bfc132db4a7f6a55f0352166e">mPosition</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#64114e8a49a4db05074790280dc30cf0">mQueuedForUpdate</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#858fbfaad27833ca00f8d0a1adf3093a">mScale</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#fb8c005cd3df11a051304937ad322112">msDummyPlaneList</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#2a23d7a4772313b1d4568b946dfe23a0">mShowBoundingBox</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#52c0ed53dc445fcb2ee9a0314e5795af">msNextGeneratedNameExt</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#b0bc2321f649cd0165a442e7d3a8ad6e">msQueuedUpdates</a></td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#b63dc19d99002d2634db61fdfb2042bc">mWireBoundingBox</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#ae5a245a9ef39e8a32f15360b7404d92">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#79fe2c7ff9599191a58902cdae1b3a3f">mYawFixed</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#37db788390eb6da498e0e4bfeb2400e1">mYawFixedAxis</a></td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#8671415cc4cf15e45bf716a823678736">needUpdate</a>(bool forceParentUpdate=false)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#9708974fb90fd32035f8d36a47abb0af">Node</a>()</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#3c6c986afc06749ab29f853ae1df58e3">Node</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#c440aafa5cb9356e1f4feb17c9fa0cb6">numAttachedObjects</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#5d5b4d6045dbf1198e96003ead1b333d">numChildren</a>(void) const </td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#0e2fa88602b6dedc628b66246c1469c9">ObjectIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#49043fde03f6003b0cfe1a65f2ff64df">ObjectMap</a> typedef</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c7d3de1c197a805dd692f775fbbeb022">pitch</a>(const Radian &amp;angle, TransformSpace relativeTo=TS_LOCAL)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#f990db414b5c4b26b055375401d3b5d1">processQueuedUpdates</a>(void)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#f3eb891d913fd83588d8c445d9f606e5">QueuedUpdates</a> typedef</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#4609e37d3a70cf4318c99e9e1fb8dfd9">queueNeedUpdate</a>(Node *n)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#79b3e979879906d5500b961a98d04bc0">removeAllChildren</a>(void)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#26d09fce230659652aac947a61563c2c">removeAndDestroyAllChildren</a>(void)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#ccdf9f05340e6d60d5fc3d2aea6518f2">removeAndDestroyChild</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#50368a4e1c6464a7de83f5b6c3405483">removeAndDestroyChild</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#912d9d3a804edf9faf8a9e32482502b1">removeChild</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#1dae5b62b42bcb4590aea678c3056f26">removeChild</a>(Node *child)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#7b1a96d0ca30f5ca56a5dacf27d68f6c">removeChild</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ed186856b59bf967f3188bfa70546957">Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#58fd5d0595151c204b67738ee789174d">requestUpdate</a>(Node *child, bool forceParentUpdate=false)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#04a385c69650ee62def0cfee923d1ea4">resetOrientation</a>(void)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#10b19feffaf2d215682ba1aca8d07038">resetToInitialState</a>(void)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#eb62b05fce457b8509cb95517154425f">roll</a>(const Radian &amp;angle, TransformSpace relativeTo=TS_LOCAL)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#895ddf042981f7b9e3cf11c694018a5c">rotate</a>(const Vector3 &amp;axis, const Radian &amp;angle, TransformSpace relativeTo=TS_LOCAL)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#ef3cc09979efbff06a37974c17fa54ab">rotate</a>(const Quaternion &amp;q, TransformSpace relativeTo=TS_LOCAL)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d72c1877160fdcde9919787f84d05c85">scale</a>(const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#76b6c58ff14ff8c401e773dcb400b7fa">scale</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#f12fa7d76755a30ad5ef050008d32220">SceneNode</a>(SceneManager *creator)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#952378bf8b65301aec723e020234be6b">SceneNode</a>(SceneManager *creator, const String &amp;name)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#523454b63f484ddbcef8b96b148d4661">setAutoTracking</a>(bool enabled, SceneNode *target=0, const Vector3 &amp;localDirectionVector=Vector3::NEGATIVE_UNIT_Z, const Vector3 &amp;offset=Vector3::ZERO)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a>(size_t index, const Vector4 &amp;value)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#4749203fd450de6af6af90353714b87a">setDirection</a>(Real x, Real y, Real z, TransformSpace relativeTo=TS_LOCAL, const Vector3 &amp;localDirectionVector=Vector3::NEGATIVE_UNIT_Z)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#dcde26f4821e24a7eebef127251a4bea">setDirection</a>(const Vector3 &amp;vec, TransformSpace relativeTo=TS_LOCAL, const Vector3 &amp;localDirectionVector=Vector3::NEGATIVE_UNIT_Z)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#47e1d67d84fc3287594fe139097d87a3">setFixedYawAxis</a>(bool useFixed, const Vector3 &amp;fixedAxis=Vector3::UNIT_Y)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#8398b5ae334ba06e99c16336fc750f9c">setInheritOrientation</a>(bool inherit)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#646e069c1b418cc820e814209abbf418">setInheritScale</a>(bool inherit)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#8119af87243123929da530b01dd54fd4">setInitialState</a>(void)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#5249598f9b893ac14dee5e4bae8622d4">setInSceneGraph</a>(bool inGraph)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c958f0d4fad0970aa65bdd0f86de6781">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#adc391905c7c4ea06b8f5366b6ad10d2">setOrientation</a>(const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#412b900632a24e3e8a90c25a5d78d84c">setOrientation</a>(Real w, Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#9ab0426279d3d191c4c82e21fe59d388">setParent</a>(Node *parent)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a>(bool override)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#0064d0828b70b9fd197a7128fbf5b94e">setPosition</a>(const Vector3 &amp;pos)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#37e99410b2de7a2957a4782d8f8ac623">setPosition</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#d44befdae5ff835dc44db4adcaaee20b">setScale</a>(const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#5edf4ac8499f761b324fbf4197e77946">setScale</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a>(bool useIdentityProjection)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e53cff42a16304f582ef83ad3017d614">setUseIdentityView</a>(bool useIdentityView)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#da725e7b64b51803eaedbe28d7c8195e">setVisible</a>(bool visible, bool cascade=true)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#0f9b0eb8efad4b5dd4130dec5b9fd749">showBoundingBox</a>(bool bShow)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c42e2063379286eb673eaffff6ca5e99">TransformSpace</a> enum name</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#67b66f5a377603498e8a45bb5cab61b9">translate</a>(const Vector3 &amp;d, TransformSpace relativeTo=TS_PARENT)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#4b11cb1ea6e2aba1832a56c4ed87f1dd">translate</a>(Real x, Real y, Real z, TransformSpace relativeTo=TS_PARENT)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c56415737b8d9a93a3a7f177b22602aa">translate</a>(const Matrix3 &amp;axes, const Vector3 &amp;move, TransformSpace relativeTo=TS_PARENT)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#4c147221e3963295853affdc2cd06c81">translate</a>(const Matrix3 &amp;axes, Real x, Real y, Real z, TransformSpace relativeTo=TS_PARENT)</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c42e2063379286eb673eaffff6ca5e99fcc5f69a4f8962eec29c8b57c1a675a2">TS_LOCAL</a> enum value</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c42e2063379286eb673eaffff6ca5e9934e6c3ebabc2e9fa00de4f62be0ce7ce">TS_PARENT</a> enum value</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#c42e2063379286eb673eaffff6ca5e99e28ff4f09161c3f5d19c08c5ef210e04">TS_WORLD</a> enum value</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#6ed30b55e585e35788ff947146a5d839">updateFromParentImpl</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#0893a9cf482387e50a10d7b2d117efbb">yaw</a>(const Radian &amp;angle, TransformSpace relativeTo=TS_LOCAL)</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node.html#4f92f708c954f8bf6581eb2377656443">~Node</a>()</td><td><a class="el" href="classOgre_1_1Node.html">Ogre::Node</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e5a6101851f1e45229f7b4bc20a69815">~Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneNode.html#c0ed3a17c7150fd03ff625408c745dc9">~SceneNode</a>()</td><td><a class="el" href="classOgre_1_1SceneNode.html">Ogre::SceneNode</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:24 2008
</p>
</body>
</html>
